      subroutine tofu(x)
      integer :: x
      x = 371
      end subroutine tofu

      program main
      integer :: a = 23
      print *, 'a = ', a
      call tofu(a)
      print *, 'a = ', a
      end program main
